com.sun.jna.platform.win32.COM

## Interface IConnectionPointContainer

- All Superinterfaces:
    IUnknown
  All Known Implementing Classes:
    ConnectionPointContainer

      public interface IConnectionPointContainer
      extends IUnknown

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.IID` | `IID_IConnectionPointContainer`

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinNT.HRESULT` | `FindConnectionPoint(Guid.REFIID riid, PointerByReference ppCP)` `HRESULT FindConnectionPoint( [in] REFIID riid, [out] IConnectionPoint **ppCP );`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Field Detail

    - #### IID_IConnectionPointContainer

          static final Guid.IID IID_IConnectionPointContainer

  - ### Method Detail

    - #### FindConnectionPoint

          WinNT.HRESULT FindConnectionPoint(Guid.REFIID riid,
                                            PointerByReference ppCP)

      `HRESULT FindConnectionPoint( [in] REFIID riid, [out] IConnectionPoint **ppCP );`
      Parameters:
        `riid` -
        `ppCP` -
      Returns:
        hresult

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.